from ctypes import *
from secg40 import *
import sys
import time

device = SECG40()


def printLeads():
    if 0 != device.GetOutputLead(OutputLead_E.Lead_RA.value):
        print(OutputLead_E.Lead_RA.name, '  ON')
    else:
        print(OutputLead_E.Lead_RA.name, '  OFF')

    if 0 != device.GetOutputLead(OutputLead_E.Lead_LA.value):
        print(OutputLead_E.Lead_LA.name, '  ON')
    else:
        print(OutputLead_E.Lead_LA.name, '  OFF')

    if 0 != device.GetOutputLead(OutputLead_E.Lead_LL.value):
        print(OutputLead_E.Lead_LL.name, '  ON')
    else:
        print(OutputLead_E.Lead_LL.name, '  OFF')


def testProcedure():
    for lead in range(0, 3):  # Loop RA/LA/LL
        print('### Test Iteration: ', lead, '###')

        # Reset All Setting to Default
        device.ResetSECG_AllLeadOff()

        # Set Output Lead
        if 0 != device.SetOutputLead(lead, 1):
            print('SetOutputLead(', lead, '1) failed')
            return -1
        printLeads()

        # Set Output Function
        outFunc = lead + 1
        if 0 != device.SetOutputFunc(outFunc):
            print('SetOutputFunc(', outFunc, ' 1) failed')
            return -1
        print('Output Function: ', OutputFunction_E(outFunc).name)

        print('---------------------- Output Signal for 5 seconds ------------------------')
        time.sleep(5)


triggerCounter = 0


def SECG_TimeAmpHandler(time, amp):
    global triggerCounter
    triggerCounter = triggerCounter + 1
    if triggerCounter >= 100:
        print(amp)
        triggerCounter = 0


if device.InitSECG() == False:
    print('InitSECG Failed!')
    exit()

print('SECG is connected, serial number: ', device.GetHWInfo())

DeviceTimeAmpCB = TimeAmpCallback(SECG_TimeAmpHandler)
device.RegisterTimeAmpCB(DeviceTimeAmpCB)

print('Enter 1st Run!')
testProcedure()

#print('Enter 2nd Run!')
# testProcedure()
