from ctypes import *
from secg40 import *
import sys
import time

device = SECG40()


def TestProcedure():
    for lead in range(0, 2):
        if 0 != device.SetOutputLead(lead, 1):
            print('SetOutputLead(lead,1) failed')
            return -1
        print('lead is', lead)

        if 0 != device.SetOutputFunc(1):
            print('SetOutputFunc(1) failed')
            return -1
        print('Output Sine')
        time.sleep(5)

        pacingAmp = c_double(100)
        if 0 != device.SetPacingAmplitude(pacingAmp):
            print('SetPacingAmplitude(100.0) failed')
            return -1

        print('Pacing Amp', device.GetPacingAmplitude())
        time.sleep(10)

        pacingAmp = c_double(-100)
        if 0 != device.SetPacingAmplitude(pacingAmp):
            print('SetPacingAmplitude(-100.0) failed')
            return -1
        print('Pacing Amp', device.GetPacingAmplitude())
        time.sleep(10)

        pacingAmp = c_double(0)
        if 0 != device.SetPacingAmplitude(pacingAmp):
            print('SetPacingAmplitude(0) failed')
            return -1

        if 0 != device.SetOutputFunc(0):
            print('SetOutputFunc(0) failed')
            return -1

        if 0 != device.SetOutputLead(lead, 0):
            print('SetOutputLead(lead,0) failed')
            return -1

        time.sleep(3)


if 0 == device.InitSECG():
    print('InstSECG() failed')
else:
    print('InitSECG() succeed')
    TestProcedure()
